### 帮学100门户网站打印日志需求-- 对接流程

1. 让业务方登录新版网关后台创建应用，参考应用创建及授权管理， 拿到业务方创建应用的`appid`和`appkey`
    网关后台链接地址：（测试环境和线上环境是相互独立的，需要两个appid）
    测试环境地址： http://gwadmin.beta.xesv5.com/  （需要绑定hosts如下）
      ```
       10.99.1.131 admin.xesv5.com                  (统一登录)
       10.97.15.73 gwadmin.beta.xesv5.com           (新版网关后台)
       10.97.14.99 dj.xesimg.com                    (日志上报)
      ```
    正式环境地址： http://gwadmin.beta.xesv5.com/  （需要解绑hosts）
    > 创建之后联系基础架构组：王东  告知一下appid， 添加到接口文件中。

2. 引入前端组封装的jssdk（xes.md5.min.js与xes.weblog.event.min.js），会自动生成标准数据格式,需将appid及appkey添加在sdk中。
（即文件xes.md5.min.js中添加一种情况 ：
  ```
    case "www.bangxue100.com":
      a = {
        appid: "1001223",
        appkey: "dcd9ae4b293de946cfaeb781b220ff42"
      }
      break;
    default :
      a = {
        appid: "1001168",
        appkey: "06fe0adb7cfcbdb0b4fc636b0e6e56fa"
      }
  ```
  ）

3. 在需要记录点击的元素上添加data-xeslog-params属性

4. 页面渲染完成日志需要添加特殊数据 window.courseDatanSerach = "key=laod&value=12";
如果是ajax完成需要记录一条 用户交互日志，则调用：
```
window.xesWeb_eventLog.xesEventLog('click', {
  'elem': document.getElementsByTagName("body")[0],  //此项必须有。 注意两个key值不能更换
  'params': 'key=dky77777&action=search&id=369'
});
//然后登录查看interactive_appid.log文件
```
如果是需要记录一条系统日志，则调用
```
var systemData = {
  'newLogid': logid,
  'systemError':'error',
  'systemParams':'key=yuyin&error=200'
};
xesWeb_eventLog.xesEventLog('systemLog',systemData);
```

#### 日志查看
```
 //测试环境数据，登录远程开发机查看: 账号：root 密码：xueersi
 ssh root@10.97.14.98
 psw xueersi
 cd /loglib/
 ls
 //查看文件。  pv_appid.log记录的是访问某个页面的次数      interactive_appid.log记录的是用户的交互日志  sys_appid.log是系统日志 记录错误等信息

 // 线上数据查看： http://basiclog.xesv5.com:5601/app/kibana#/discover?_g=()
```
