const path = require('path')

module.exports = {
  lintOnSave: false,
  devServer: {  // 变更端口
    port: 5999
  },
  configureWebpack: config => {
    if (process.env.NODE_ENV === 'development') {
      config.devtool = 'source-map'
      // mutate config for production...
    }
  },
  css: {
    loaderOptions: {
      // 给 sass-loader 传递选项， 支持定义公共scss样式，并在*.vue文件中引用
      sass: {
        data: `@import "@/styles/index.scss";`
      }
    }
  },
  devServer: {  //配置proxy代理
    proxy:{
      '/mobile': {
        target: 'http://cdd.mh.bangxue100.com/mobile',
        // ws: true/false,  //if you want to proxy websockets
        changeOrigin: true,
        // pathRewrite: {
        //   '^/mobile':''
        // }
      }
    }
  }
}
